aboutsummaryrefslogtreecommitdiffstats
path: root/test/io-005.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/io-005.sh')
-rwxr-xr-xtest/io-005.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/test/io-005.sh b/test/io-005.sh
new file mode 100755
index 0000000..c5ebcc7
--- /dev/null
+++ b/test/io-005.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+. "${TEST_INIT:-./test-init.sh}"
+home=$(mktemp -d)
+
+CALCURSE=$(readlink -f "$CALCURSE")
+(unset -v XDG_DATA_HOME XDG_CONFIG_HOME; HOME="$home" "$CALCURSE" -a)
+[ -f "$home/.local/share/calcurse/apts" ] && [ -f "$home/.config/calcurse/conf" ] && failed=0 || failed=1
+
+rm -rf "$home"
+exit "$failed"